/* Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file  ap_config_layout.h
 * @brief Apache Config Layout
 */

#ifndef AP_CONFIG_LAYOUT_H
#define AP_CONFIG_LAYOUT_H

/* Configured Apache directory layout */
#define DEFAULT_PREFIX "/opt/lsb/appbat"
#define DEFAULT_EXP_EXEC_PREFIX "/opt/lsb/appbat"
#define DEFAULT_REL_EXEC_PREFIX ""
#define DEFAULT_EXP_BINDIR "/opt/lsb/appbat/bin"
#define DEFAULT_REL_BINDIR "bin"
#define DEFAULT_EXP_SBINDIR "/opt/lsb/appbat/sbin"
#define DEFAULT_REL_SBINDIR "sbin"
#define DEFAULT_EXP_LIBEXECDIR "/opt/lsb/appbat/libexec"
#define DEFAULT_REL_LIBEXECDIR "libexec"
#define DEFAULT_EXP_MANDIR "/opt/lsb/appbat/man"
#define DEFAULT_REL_MANDIR "man"
#define DEFAULT_EXP_SYSCONFDIR "/etc/opt/lsb/appbat"
#define DEFAULT_REL_SYSCONFDIR "/etc/opt/lsb/appbat"
#define DEFAULT_EXP_DATADIR "/opt/lsb/appbat/share"
#define DEFAULT_REL_DATADIR "share"
#define DEFAULT_EXP_INSTALLBUILDDIR "/opt/lsb/appbat/share/build"
#define DEFAULT_REL_INSTALLBUILDDIR "share/build"
#define DEFAULT_EXP_ERRORDIR "/opt/lsb/appbat/share/error"
#define DEFAULT_REL_ERRORDIR "share/error"
#define DEFAULT_EXP_ICONSDIR "/opt/lsb/appbat/share/icons"
#define DEFAULT_REL_ICONSDIR "share/icons"
#define DEFAULT_EXP_HTDOCSDIR "/opt/lsb/appbat/share/htdocs"
#define DEFAULT_REL_HTDOCSDIR "share/htdocs"
#define DEFAULT_EXP_MANUALDIR "/opt/lsb/appbat/share/manual"
#define DEFAULT_REL_MANUALDIR "share/manual"
#define DEFAULT_EXP_CGIDIR "/opt/lsb/appbat/share/cgi-bin"
#define DEFAULT_REL_CGIDIR "share/cgi-bin"
#define DEFAULT_EXP_INCLUDEDIR "/opt/lsb/appbat/include"
#define DEFAULT_REL_INCLUDEDIR "include"
#define DEFAULT_EXP_LOCALSTATEDIR "/var/opt/lsb/appbat"
#define DEFAULT_REL_LOCALSTATEDIR "/var/opt/lsb/appbat"
#define DEFAULT_EXP_RUNTIMEDIR "/var/opt/lsb/appbat/run"
#define DEFAULT_REL_RUNTIMEDIR "/var/opt/lsb/appbat/run"
#define DEFAULT_EXP_LOGFILEDIR "/var/opt/lsb/appbat/logs"
#define DEFAULT_REL_LOGFILEDIR "/var/opt/lsb/appbat/logs"
#define DEFAULT_EXP_PROXYCACHEDIR "/var/opt/lsb/appbat/proxy"
#define DEFAULT_REL_PROXYCACHEDIR "/var/opt/lsb/appbat/proxy"

#endif /* AP_CONFIG_LAYOUT_H */
